%kmdl broadcom-wl

Name:           broadcom-wl
Version:        5.100.82.38
Release:        5%{?dist}
Summary:        Kernel module for broadcom wireless devices
Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://www.broadcom.com/support/802.11/linux_sta.php
Source0:        http://www.broadcom.com/docs/linux_sta/hybrid-portsrc_x86_32-v5_100_82_38.tar.gz
Source1:        http://www.broadcom.com/docs/linux_sta/hybrid-portsrc_x86_64-v5_100_82_38.tar.gz
Source2:        http://www.broadcom.com/docs/linux_sta/README.txt
Source3:        broadcom-wl-blacklist.conf
Patch0:		http://www.broadcom.com/docs/linux_sta/5_100_82_38.patch
Patch1:         broadcom-wl-5.100.82.38-bool.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# ppc disabled because broadcom only provides x86 and x86_64 bits
ExclusiveArch:  %{ix86} x86_64

%kmdl_parentdependencies

%description
These packages contain Broadcom's IEEE 802.11a/b/g/n hybrid Linux device
driver for use with Broadcom's BCM4311-, BCM4312-, BCM4321-, and BCM4322
based hardware.

NOTE: You must read the LICENSE.txt file in the docs directory before using
this software.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for broadcom wireless devices
Group: System Environment/Kernel

%description -n %kmdl_name
These packages contain Broadcom's IEEE 802.11a/b/g/n hybrid Linux device
driver for use with Broadcom's BCM4311-, BCM4312-, BCM4321-, and BCM4322
based hardware.

%kmdl_desc

%prep
%setup -q -c -T

%ifarch %{ix86}
 tar xzf %{SOURCE0}
%else
 tar xzf %{SOURCE1}
%endif
%patch0 -p0
%patch1 -p0 -b .bool

%build
%if %{kmdl_userland}
iconv -f iso8859-1 -t UTF8 lib/LICENSE.txt -o lib/LICENSE.txt
sed -i 's/\r$//' lib/LICENSE.txt
cp -p %{SOURCE2} .
chmod 644 lib/LICENSE.txt README.txt

%else

%kmdl_config
pushd %{_builddir}/%{name}-%{version}
make -C %{kmdl_kernelsrcdir} M=`pwd` modules
popd
%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
mkdir -p %{buildroot}/%{_sysconfdir}/modprobe.d/
install -p -m0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/modprobe.d/

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/extra/wl
pushd %{_builddir}/%{name}-%{version}
install -m 644 *.ko %{buildroot}%{kmdl_moduledir}/extra/wl
popd
%endif

%clean
rm -rf %{buildroot}

%if %{kmdl_userland}

%else

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%endif

%if %{kmdl_userland}
%files
%defattr(-,root,root,-)
%doc lib/LICENSE.txt README.txt
%config(noreplace) %{_sysconfdir}/modprobe.d/broadcom-wl-blacklist.conf

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Fri Mar 18 2011 Paulo Roma <roma@lcg.ufrj.br> - 5.100.82.38-4
- Updated to 5.100.82.38

* Sun Apr 25 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.60.48.36-4
- Update to 5.60.48.36.

* Mon Dec 14 2009 Paulo Roma <roma@lcg.ufrj.br> - 5.10.91.9.3-3
- Applied bool.patch for RHEL5.

* Sun Dec 13 2009 Paulo Roma <roma@lcg.ufrj.br> - 5.10.91.9.3-2
- Replaced i686 for %%{ix86}.

* Thu Dec 10 2009 Paulo Roma <roma@lcg.ufrj.br> - 5.10.91.9.3-1
- Initial build.
